## Create a store `client.secretsStore.stores.create(StoreCreateParamsparams, RequestOptionsoptions?): SinglePage` **post** `/accounts/{account_id}/secrets_store/stores` Creates a store in the account ### Parameters - `params: StoreCreateParams` - `account_id: string` Path param: Account Identifier - `body: Array` Body param - `name: string` The name of the store ### Returns - `StoreCreateResponse` - `id: string` Store Identifier - `created: string` Whenthe secret was created. - `modified: string` When the secret was modified. - `name: string` The name of the store ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const storeCreateResponse of client.secretsStore.stores.create({ account_id: '985e105f4ecef8ad9ca31a8372d0c353', body: [{ name: 'service_x_keys' }], })) { console.log(storeCreateResponse.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "023e105f4ecef8ad9ca31a8372d0c353", "created": "2023-09-21T18:56:32.624632Z", "modified": "2023-09-21T18:56:32.624632Z", "name": "service_x_keys" } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000 } } ```